<?php
/**                                                                                                                                                       
   ;;;;;;;;;;;;;                               ;;;;;;;;;;;;           
	;;;;;;;;;;;;;;;.                     ,;;;;;;;;;;;;;;;            
	 ;;;;;;;;;;;;;;;;;                 ;;;;;;;;;;;;;;;;;             
	   ;;;;;;;;;;;;;;;;;            .;;;;;;;;;;;;;;;;;               
				 :;;;;;;;;         ;;;;;;;;:                         
					  ;;;;;      ,;;;;:                              
						 ;;;.   ;;;;                                 
						   ;;  ,;;                                   
							;; ;;                                    
							 ;;;                                     
							 ;;; 

	^^ Title : Display of logged employees			 
	^^ Create : 2017-06-10
	^^ For PS version 1.5, 1.6
	   @author : EAGLEMEDIA.de <eagle@eaglemedia.de>
	   @copyright : EAGLEMEDIA.de	   
	   @license : See appended file licence.txt
	   @link : http://eaglemedia.de
*/

include_once(dirname(__FILE__).'/../../modules/statsemployee/statsemployee.php'); 

class Employee extends EmployeeCore
{
	public function logout()
	{		
	#
	#
	#
		$dateTime = new DateTime();
		$logout_date = $dateTime->format('Y-m-d H:i:s');	
		
		$objStatsEmployee = new StatsEmployee();
		$objStatsEmployee->writeEmployeeLogs($this->id, $this->firstname, $this->lastname, $this->email, Tools::getRemoteAddr(), null, $logout_date);						
	#
	#
	#
		if (isset(Context::getContext()->cookie))
		{
			Context::getContext()->cookie->logout();
			Context::getContext()->cookie->write();
		}
		$this->id = null;
	}
}
